package com.chelvc.cloud.vehicle.api.dto;

import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;
import lombok.experimental.SuperBuilder;

import java.io.Serializable;
import java.math.BigDecimal;
import java.util.Date;

@Data
@SuperBuilder
@NoArgsConstructor
@AllArgsConstructor
public class RankAwardConfigDTO implements Serializable {

    private static final long serialVersionUID = -9007530650121576786L;

    /**
     * 主键
     */
    private Long id;

    /**
     * 排名上限
     */
    private int rankHigh;

    /**
     * 排名下限
     */
    private int rankLow;

    /**
     * 类类型：1-月排行榜  暂时默认为1
     */
    private Integer type;

    /**
     * 平台类型：1-用户；2-商家 暂时默认为2
     */
    private Integer platformType;

    /**
     * 奖励金额
     */
    private BigDecimal bonus;

    /**
     * 状态：0-正常；1-停用
     */
    private Integer status;

    /**
     * 创建用户
     */
    private Long creator;

    /**
     * 创建时间
     */
    private Date createTime;

    /**
     * 更新用户
     */
    private Long updater;

    /**
     * 更新时间
     */
    private Date updateTime;
}
