package com.chelvc.cloud.vehicle.api.param;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;
import lombok.ToString;
import lombok.experimental.SuperBuilder;

import javax.validation.constraints.NotEmpty;
import javax.validation.constraints.NotNull;
import java.io.Serializable;
import java.math.BigDecimal;

/**
 * 购物车对象 oms_cart_item
 * 
 * @author liude
 * @date 2023-11-08
 */
@Data
@SuperBuilder
@NoArgsConstructor
@AllArgsConstructor
@ToString(callSuper = true)
public class OmsCartItemModifyParam implements Serializable
{
    private static final long serialVersionUID = 1L;

    /**
     * id
     */
    private Long id;

    /**
     * 商品id
     */
    @NotNull(message = "商品ID不能为空")
    private Long goodsId;

    /** $column.columnComment */
    private Long goodsSkuId;

    /** 购买数量 */
    private Integer quantity;

    /** 添加到购物车的价格 */
    private BigDecimal price;

    /** 商品主图 */
    private String goodsPic;

    /** 商品名称 */
    @NotEmpty(message = "商品名称不能为空")
    private String goodsName;

    /** 商品副标题（卖点） */
    private String goodsSubTitle;

    /** 商品sku条码 */
    private String goodsSkuCode;

    /** 会员昵称 */
    private String memberNickname;

    /** 是否删除 */
    private Integer deleteStatus;

    /** 商品分类 */
    private Long goodsCategoryId;

    /** $column.columnComment */
    private String goodsBrand;

    /** $column.columnComment */
    private String goodsSn;

    /** 商品销售属性:[{"key":"颜色","value":"颜色"},{"key":"容量","value":"4G"}] */
    private String goodsAttr;
    /**
     * 商家id
     */
    @NotNull(message = "商家ID不能为空")
    private Long merchantId;
    /**
     * 商品原价
     */
    private Double originalPrice;

}
