package com.chelvc.cloud.vehicle.api.param;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;
import lombok.ToString;
import lombok.experimental.SuperBuilder;

import java.io.Serializable;
import java.math.BigDecimal;
import java.util.Date;
import java.util.List;

/**
 * 订单对象 oms_order
 * 
 * @author liude
 * @date 2023-11-08
 */
@Data
@SuperBuilder
@NoArgsConstructor
@AllArgsConstructor
public class OmsOrderModifyParam implements Serializable
{ private static final long serialVersionUID = 1L;

    /**
     * 收货地址ID
     */
    private Long userReceiveAddressId;
    /**
     * 优惠券ID
     */
    private Long couponId;
    /**
     * 使用的积分数
     */
    private Integer useIntegration;
    /**
     * 支付方式
     * 支付方式：0->未支付；1->支付宝；2->微信
     */
    private Integer payType;
    /**
     * 被选中的购物车商品ID
     */
    private List<Long> cartIds;
    /**
     * 商家id
     */
    private Long merchantId;
}
