package com.chelvc.cloud.vehicle.server.copier;

import com.chelvc.cloud.vehicle.api.dto.FeedBackDTO;
import com.chelvc.cloud.vehicle.api.param.FeedBackModifyParam;
import com.chelvc.cloud.vehicle.server.entity.FeedBack;
import org.mapstruct.Builder;
import org.mapstruct.Mapper;
import org.mapstruct.MappingTarget;
import org.mapstruct.factory.Mappers;

import java.util.Collection;
import java.util.List;

/**
 * 意见反馈拷贝接口
 *
 * @author liude
 * @date 2024/1/16
 */
@Mapper(builder = @Builder(disableBuilder = true))
public interface FeedbackCopier {
    /**
     * 对象拷贝接口实例
     */
    FeedbackCopier INSTANCE = Mappers.getMapper(FeedbackCopier.class);

    /**
     * 意见反馈信息拷贝
     *
     * @param carouselImages 意见反馈信息
     * @return 意见反馈信息
     */
    FeedBackDTO copying(FeedBack carouselImages);

    /**
     * 意见反馈信息拷贝
     *
     * @param feedBacks 意见反馈信息集合
     * @return 意见反馈信息列表
     */
    List<FeedBackDTO> copying(Collection<FeedBack> feedBacks);

    /**
     * 意见反馈信息拷贝
     *
     * @param param 意见反馈更新参数
     * @return 意见反馈信息
     */
    FeedBack copying(FeedBackModifyParam param);

    /**
     * 意见反馈信息拷贝
     *
     * @param param    意见反馈更新参数
     * @param feedBack 意见反馈信息
     */
    void copying(FeedBackModifyParam param, @MappingTarget FeedBack feedBack);
}
