package com.chelvc.cloud.vehicle.server.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.chelvc.framework.common.model.File;
import com.chelvc.framework.database.entity.Entity;
import com.chelvc.framework.database.interceptor.FilesTypeHandler;
import lombok.*;
import lombok.experimental.SuperBuilder;

import java.math.BigDecimal;
import java.util.Date;
import java.util.List;

/**
 * @author valley
 * @date 2024/02/22 21:35
 **/
@Data
@SuperBuilder
@NoArgsConstructor
@AllArgsConstructor
@ToString(callSuper = true)
@TableName(autoResultMap = true)
public class AssessScore  implements Entity<Long> {
    /**
     * 主键
     */
    @TableId(type = IdType.ASSIGN_ID)
    private Long id;

    /**
     * 商品id
     */
    private Long goodsId;

    private BigDecimal yearScore;
    private BigDecimal halfYearScore;
    private BigDecimal quarterScore;
    private BigDecimal monthScore;
    private BigDecimal weekScore;
    private Date modifyTime;
}
