package com.chelvc.cloud.vehicle.server.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;
import lombok.ToString;
import lombok.experimental.SuperBuilder;

import java.io.Serializable;
import java.time.LocalDateTime;

/**
 * 邀请关系
 */
@Data
@SuperBuilder
@NoArgsConstructor
@AllArgsConstructor
@ToString(callSuper = true)
public class UserInvite implements Serializable {

    private static final long serialVersionUID = -6394974784960414140L;

    /**
     * 主键
     */
    @TableId(type = IdType.AUTO)
    private Long id;

    /**
     * 用户标识
     */
    private Long userId;

    /**
     * 被邀请用户标识
     */
    private Long targetId;

    /**
     * 类型：1-用户；2-商家
     */
    private Integer type;

    /**
     * 绑定时间
     */
    private LocalDateTime createTime;
}
