package com.chelvc.cloud.vehicle.server.task;

import com.chelvc.cloud.vehicle.server.service.PlatformProfitRatioService;
import lombok.extern.slf4j.Slf4j;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.scheduling.annotation.EnableScheduling;
import org.springframework.scheduling.annotation.Scheduled;
import org.springframework.stereotype.Component;

/**
 * 计算平台分佣比例
 */
@Slf4j
@Component
@EnableScheduling //开启定时任务
public class PlatformProfitRatioTask {

    @Autowired
    PlatformProfitRatioService platformProfitRatioService;

    @Scheduled(cron = "0 0 0 1 * ?") //每月第一天凌晨0点
    public void closeAccountTask(){
        log.info("触发更新平台分佣比例定时任务==============");
        platformProfitRatioService.updateProfitRatio();
    }
}
